Sign inGet started

List allow/block rules

GET
/workspaces/{workspaceId}/conversation-allowblock-rules
List allow/block rules. This will return a maximum of 100 rules per page, with 10 as default. You can use the limit and pageToken query parameters to paginate the results. Learn more about pagination in the Common API Usage pagination section.
查询参数
limit
integer
pageToken
string
reverse
boolean
type
string
Allow/Block type
Possible values: allow, reject, suspend
category
string
Allow/Block category
Possible values: all, domain, domain_suffix, email
value
string
Allow/Block value
响应载荷
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
results
array of object
必填
显示子属性
results.category
string
必填
The category of the AllowBlockRule.
Possible values: all, domain, domain_suffix, email
results.createdAt
string
必填
results.createdBy
string
必填
results.id
string
必填
results.type
string
必填
The type of the AllowBlockRule.
Possible values: allow, reject, suspend
results.updatedAt
string
必填
results.updatedBy
string
必填
results.value
string
必填
results.workspaceId
string
必填
代码示例
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/conversation-allowblock-rules' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

代码示例
curl "https://api.bird.com/workspaces/e58899bf-1e8d-4ff7-b9db-a60befaf90d2/conversation-allowblock-rules" \
-H "Authorization: AccessKey abcd"
Note: if there are more than 10 allow/block rules, the results may be paginated. Please refer to Pagination on how to use nextPageToken.